let homework = prompt('Enter tack name').trim().toLowerCase();
if (homework == 'number: odd') {
  // Number: odd
  // С помощью prompt узнайте число, введенное пользователем. С помощью if проверьте что число корректно
  // преобразовано из строки. В случае ошибки выведите сообщение Выведите четное число или нет, используя if.
  const enteredNumber = +prompt('Enter a number');
  if (!isNaN(enteredNumber)) {
    alert('This number is ' + (enteredNumber % 2 ? 'odd' : 'even'));
  } else {
    alert('You entered not a number');
  }
} else if (homework == 'string: lexics') {
  // String: lexics
  // Спросите у пользователя текст, и проверьте его на наличие некорректного слова или нескольких некорректных
  // слов. Используйте метод indexOf (или includes) строки
  const str = prompt('Enter a text');
  if (str.indexOf('bad word') != -1) {
    alert("Your text includes 'bad word'");
  } else {
    alert("Your text doesn`t insludes 'bad word'");
  }
} else if (homework == 'boolean') {
  // Boolean
  // Напишите код, который спрашивает те или иные вопросы с ответом "да"/"нет" с помощью confirm, и
  // сохраняет ответы в переменных.
  let mcDonaldsAnswer = confirm('Do you like McDonald`s?');
  let fishAnswer = confirm('Do you eat fish?');
  let cookAmswer = confirm('Do you like cook?');
  if (mcDonaldsAnswer) {
    mcDonaldsAnswer = 'Yes';
  } else {
    mcDonaldsAnswer = 'No';
  }
  if (fishAnswer) {
    fishAnswer = 'Yes';
  } else {
    fishAnswer = 'No';
  }
  if (cookAmswer) {
    cookAmswer = 'Yes';
  } else {
    cookAmswer = 'No';
  }
  alert(`Your answers:\n
1.Do you like McDonalds? ${mcDonaldsAnswer}\n
2. Do you eat fish? ${fishAnswer}\n
3. Do you like cook? ${cookAmswer}`);
} else if (homework == 'boolean: if') {
  // Boolean: if
  // Расширьте предыдущее задание условиями по полученным переменным условиями (if else). Например, если
  // вы спрашиваете пол пользователя с помощью confirm, то по условию сделайте alert("Вы женщина") и
  // alert("Вы мужчина")
  const sexAnswer = confirm('Are you a woman?');
  if (sexAnswer) {
    alert('You are a woman');
  } else if (!sexAnswer) {
    alert('You are a man');
  }
} if (homework == 'comparison: sizes') {
  // Comparison: sizes
  // Сделайте перевод перевод из нашей системы размеров в американскую или любую на выбор. Используйте prompt,
  // условия сравнения и alert.
  const ukrSystem = prompt('Which size clothes do you wear?');
  if (ukrSystem == 40) {
    alert('You wear 6 size in american system');
  } else if (ukrSystem == 42) {
    alert('You wear 8 size in american system');
  } else if (ukrSystem == 44) {
    alert('You wear 10 size in american system');
  } else if (ukrSystem == 46) {
    alert('You wear 12 size in american system');
  } else if (ukrSystem == 48) {
    alert('You wear 14 size in american system');
  } else if (ukrSystem == 50) {
    alert('You wear 16 size in american system');
  } else if (ukrSystem == 52) {
    alert('You wear 18 size in american system');
  } else if (ukrSystem == 54) {
    alert('You wear 20 size in american system');
  }
} else if (homework == 'ternary') {
  // Ternary
  // Спросите у пользователя пол (confirm). Выведите с помощью alert "Вы мужчина" или "Вы женщина".
  // Используйте тернарный оператор.
  alert(confirm('Are you a woman?') ? 'You are a woman' : 'You are a man');
} else if (homework == 'prompt: or') {
  // Prompt: or
  // Для задания Number: age используя ИЛИ || вывести сообщение об ошибке (alert) если пользователь не введет
  // возраст или нажмет отмену (т. е. prompt выдаст пустую строку или null, интерпретируемую как false).
  const age = prompt('How old are you?');
  !(age === '' || isNaN(age) || age === null) || alert('error');
} else if (homework == 'confirm: or this days') {
  // Confirm: or this days
  // C помощью этого же трюка (использование ИЛИ для запуска альтернативы) сделайте капризного робота,
  // который в confirm спрашивает "шопинг?", а в случае отказа - выводить alert "ты - бяка".
  const shopping = confirm('Shopping?') || alert('ты-бяка');
} else if (homework == 'confirm: if this days') {
  // Confirm: if this days
  // Сделать тоже самое с помощью if.
  const thisDays = confirm('This days?');
  if (!thisDays) {
    alert('ERROR');
  }
} else if (homework == 'default: or') {
  // Default: or
  // Попросите пользователя ввести ФИО в три разныe переменныe. Используя ИЛИ || добавьте строки по
  // умолчанию, которые будут сохраняться во внутренних переменных если пользователь ввел пустую строку
  // или нажал "Отмена". Например, если вы на шаге ввода Фамилии нажмете Escape, фамилия будет "Иванов"
  const userName = prompt('What is your name?')?.trim() || 'Ivan';
  const userSurname = prompt('What is your surname?')?.trim() || 'Ivanov';
  const userMiddleName = prompt('What is your middle name?')?.trim() || 'Ivanovich';
  const fullName = userSurname + ' ' + userName + ' ' + userMiddleName;
  alert(fullName);
} else if (homework == 'default: if') {
  // Default: if
  // Сделайте тоже самое с помощью if и else
  let userName = prompt('What is your name?')?.trim();
  let userSurname = prompt('What is your surname?')?.trim();
  let userMiddleName = prompt('What is your middle name?')?.trim();
  if (!userName) {
    userName = 'Ivan';
  }
  if (!userSurname) {
    userSurname = 'Ivanov';
  }
  if (!userMiddleName) {
    userMiddleName = 'Ivanovich';
  }
  let fullName = userSurname + ' ' + userName + ' ' + userMiddleName;
  alert(fullName);
} else if (homework == 'login and password') {
  // Login and password
  // Напишите код, который спрашивает логин, проверяет его на верность, в случае если логин верен, просит
  // ввести пароль и проверяет его. В случае несовпадения логина или пароля выводить alert с текстом ошибки.
  // В случае успешного логина - alert с поздравлением. Правильные логин: admin и пароль: qwerty. Используйте
  // вложенные if и else.
  const correctData = {
    login: 'admin',
    password: 'qwerty',
  }
  let login = prompt('Enter your login');
  if (login === correctData.login) {
    let password = prompt('Enter your password');
    if (password === correctData.password) {
      alert('Congratulations! You entered correct login and password');
    } else {
      alert('Error! You entered wrong password');
    }
  } else {
    alert('You entered wrong login');
  }
} else if (homework == 'currency exchange') {
  // Currency exchange
  // Попросите пользователя ввести валюту (например, usd, eur, другие валюты добавить по вкусу)
  // с помощью prompt.
  // Также поинтересуйтесь купить или продать он желает (используйте confirm).
  // С помощью нескольких if и тернарного оператора внутри каждого из if задайте переменную rate,
  // определяющую курс конкретной валюты на покупку или продажу. Обратите внимание на место объявления
  // переменной rate - она должна быть доступна в коде после всех этих if.
  // Попросите пользователя ввести сумму на обмен
  // Посчитайте и выведите результат путем умножения или деления на rate
  // Дайте возможность пользователю вводить названия валют в любом регистре (UsD, eUR). Для этого в if
  // используйте toUpperCase (или toLowerCase)
  let rate;
  let selectedCurrency = prompt('Enter the desired currency from the following: USD, EUR, PLN')?.trim();
  let isPurchase = confirm('Do you want to purchase the currency? If you want to sell, choose "cancel"');
  if (selectedCurrency.toLowerCase() == 'usd') {
    rate = isPurchase ? 40.37 : 40.25;
  } else if (selectedCurrency.toLowerCase() == 'eur') {
    rate = isPurchase ? 39.20 : 38.90;
  } else if (selectedCurrency.toLowerCase() == 'pln') {
    rate = isPurchase ? 8.36 : 8.16;
  }
  let amountInForeignCurrency = +prompt('Enter amount which you want to exchange');
  let amountInHryvnia = amountInForeignCurrency * rate;
  alert((isPurchase ? 'You need to sell ' : 'You will get ') + amountInHryvnia + ' hryvnia');
} else if (homework == 'scissors') {
  // Scissors
  // Сделайте игру "камень-ножницы-бумага". Пользователь вводит свой вариант через prompt, программа
  // генерирует свой вариант через Math.random() и выводит через alert. Следующий alert выводит имя победителя
  // или "ничья"
  let userChoice = prompt('Choose: rock/paper/scissors')?.trim().toLowerCase();
  let randomNumber = Math.floor(Math.random() * 3) + 1;
  let computerChoice;
  if (randomNumber == 1) {
    computerChoice = 'rock';
  } else if (randomNumber == 2) {
    computerChoice = 'scissors';
  } else if (randomNumber == 3) {
    computerChoice = 'paper';
  }
  alert('Computer\'s choice is ' + computerChoice);
  const isUserWon = userChoice == 'rock' && computerChoice == 'scissors'
    || userChoice == 'scissors' && computerChoice == 'paper' || userChoice == 'paper' && computerChoice == 'rock';
  const isDraw = userChoice == computerChoice;
  if (isUserWon) {
    alert('Congratulations! You won');
  } else if (isDraw) {
    alert('Draw');
  } else {
    alert('You are loser');
  }
}